
import { world, system } from '@minecraft/server'

world.afterEvents.itemUse.subscribe((event) => {
    const { itemStack, source } = event;
    if ((itemStack.typeId != 'levels:xp_multiplier')) {
        return;
    };
    if ((itemStack.typeId == 'levels:xp_multiplier')) {
        system.run(() => {
            source.addTag('LevelsMultiplier0.5')
        });
    };
});